# Uses of Class
org.apache.avro.file.CodecFactory

Packages that use CodecFactory
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of CodecFactory in org.apache.avro.file

Methods in org.apache.avro.file that return CodecFactory
Modifier and Type
Method
Description
`static CodecFactory`
CodecFactory.`addCodec(String name, CodecFactory c)`
Adds a new codec implementation.
`static CodecFactory`
CodecFactory.`bzip2Codec()`
bzip2 codec.
`static CodecFactory`
CodecFactory.`deflateCodec(int compressionLevel)`
Deflate codec, with specific compression. compressionLevel should be between 1 and 9, inclusive.
`static CodecFactory`
CodecFactory.`fromString(String s)`
Maps a codec name into a CodecFactory.
`static CodecFactory`
CodecFactory.`nullCodec()`
Null codec, for no compression.
`static CodecFactory`
CodecFactory.`snappyCodec()`
Snappy codec.
`static CodecFactory`
CodecFactory.`xzCodec(int compressionLevel)`
XZ codec, with specific compression. compressionLevel should be between 1 and 9, inclusive.
`static CodecFactory`
CodecFactory.`zstandardCodec(int level)`
zstandard codec, with specific compression level.
`static CodecFactory`
CodecFactory.`zstandardCodec(int level, boolean useChecksum)`
zstandard codec, with specific compression level.
`static CodecFactory`
CodecFactory.`zstandardCodec(int level, boolean useChecksum, boolean useBufferPool)`
zstandard codec, with specific compression level, checksum, and bufferPool
Methods in org.apache.avro.file with parameters of type CodecFactory
Modifier and Type
Method
Description
`static CodecFactory`
CodecFactory.`addCodec(String name, CodecFactory c)`
Adds a new codec implementation.
`DataFileWriter<D>`
DataFileWriter.`setCodec(CodecFactory c)`
Configures this writer to use the given codec.